%global _empty_manifest_terminate_build 0
Name:           python-proliantutils
Version:        2.11.0
Release:        2
Summary:        Client Library for interfacing with various devices in HP Proliant Servers.
License:        Apache-2.0
URL:            https://opendev.org/x/proliantutils
Source0:        https://files.pythonhosted.org/packages/c9/6d/2f480a9dd83d2e529421f1a8714acf1f5923a51cf9bad985ca1dfdb50454/proliantutils-2.11.0.tar.gz
BuildArch:      noarch
%description
Proliantutils is a set of python utility libraries for interfacing and managing various
components (like iLO, HPSSA) for HPE iLO-based Servers. This library uses Redfish to
interact with Gen10 servers and RIBCL/RIS to interact with Gen8 and Gen9 servers.
A subset of proliantutils can be used to discover server properties (aka Discovery Engine).

%package -n python3-proliantutils
Summary:        Client Library for interfacing with various devices in HP Proliant Servers.
Provides:       python-proliantutils
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-jsonschema
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-pyOpenSSL
BuildRequires:  python3-pysnmp
BuildRequires:  python3-requests
BuildRequires:  python3-retrying
BuildRequires:  python3-six
BuildRequires:  python3-sushy
BuildRequires:  python3-xmltodict
Requires:       python3-jsonschema
Requires:       python3-oslo-concurrency
Requires:       python3-oslo-serialization
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
Requires:       python3-pyOpenSSL
Requires:       python3-pysnmp
Requires:       python3-requests
Requires:       python3-retrying
Requires:       python3-six
Requires:       python3-sushy
Requires:       python3-xmltodict
%description -n python3-proliantutils
Proliantutils is a set of python utility libraries for interfacing and managing various
components (like iLO, HPSSA) for HPE iLO-based Servers. This library uses Redfish to
interact with Gen10 servers and RIBCL/RIS to interact with Gen8 and Gen9 servers.
A subset of proliantutils can be used to discover server properties (aka Discovery Engine).

%package help
Summary:        Client Library for interfacing with various devices in HP Proliant Servers.
Provides:       python3-proliantutils-doc
%description help
Proliantutils is a set of python utility libraries for interfacing and managing various
components (like iLO, HPSSA) for HPE iLO-based Servers. This library uses Redfish to
interact with Gen10 servers and RIBCL/RIS to interact with Gen8 and Gen9 servers.
A subset of proliantutils can be used to discover server properties (aka Discovery Engine).

%prep
%autosetup -n proliantutils-2.11.0

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-proliantutils -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 2.11.0-2
- Fix install error

* Thu Jul 15 2021 OpenStack_SIG <openstack@openeuler.org> - 2.11.0-1
- Update version to 2.11.0

* Fri Jan 29 2021 zhangy <zhangy1317@foxmail.com>
- Add buildrequires

* Mon Jan 04 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
